Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGbkCodec Class Reference

The QGbkCodec class provides conversion to and from the Chinese GBK encoding. More...

    #include <QGbkCodec>

Inherits QGb18030Codec.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QGbkCodec ()

- 15 public functions inherited from QTextCodec

### Static Public Members

- 13 static public members inherited from QTextCodec

### Static Protected Members

- 1 static protected member inherited from QTextCodec

## Detailed Description

The QGbkCodec class provides conversion to and from the Chinese GBK encoding.

GBK, formally the Chinese Internal Code Specification, is a commonly used extension of GB 2312-80. Microsoft Windows uses it under the name code page 936.

The GBK encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GBK. For this reason the QGbkCodec class is implemented in terms of the GB18030 codec and uses its 1-byte and 2-byte portion for conversion from and to Unicode.

The QGbkCodec is kept mainly for compatibility reasons with older software.

## Member Function Documentation

### QGbkCodec::QGbkCodec ()

Constructs a QGbkCodec object.